'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.changeColumn('AuditLogs', 'userId', {
      type: Sequelize.UUID,
      allowNull: true
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.changeColumn('AuditLogs', 'userId', {
      type: Sequelize.INTEGER,
      allowNull: true
    });
  }
};
